Name: tifileprop
Version: 1.0.1
Release: 1
Vendor: CalcForge RPM Repository (http://repo.calcforge.org)
Packager: Kevin Kofler <Kevin@tigcc.ticalc.org>
Source: http://www.boolsoft.org/files/%{name}-%{version}.zip
URL: http://www.boolsoft.org/index.php?site=13&file=16
Group: Development/Tools
License: GPLv3+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary: Command line tool to set TI68k variable file properties
%description
Command line tool to set TI68k variable file properties. Useful for developers to set these properties quickly and efficiently.

Available properties:
- destination (archive, RAM, locked)
- oncalc filename
- oncalc foldername
- file comment
- target device

%prep
%setup -q

%build
cd src
gcc $RPM_OPT_FLAGS main.c -o tifileprop

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
cd src
install -p -m0755 -D tifileprop $RPM_BUILD_ROOT%{_bindir}/tifileprop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc *.txt
%{_bindir}/tifileprop

%changelog
* Wed May 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0.1-1
- update to 1.0.1

* Tue May 20 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.0.0-1
- first Fedora RPM
